Bug 114456 - prelink-0.3.0-18 replaces symlink with file
prelink-0.3.0-18 replaces symlink with file
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-28 08:08 EST by Jonathan Kamens
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.3.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-08 19:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2004-01-28 08:08:51 EST
My nightly script which checks the integrity of the files on my system
reported last night that "rpm --verify" was reporting this problem
with the file /usr/bin/gctags in emacs-common-21.3-9:

jik:~!1007$ sudo rpm --verify emacs-common
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
SM5....T    /usr/bin/gctags

I investigated and discovered that the emacs-common RPM claims that
gctags is supposed to be a symlink to ctags.emacs, and yet
/usr/bin/gctags on my system is a binary whose ctime is 4:09 in the
morning, which just happens to be shortly after run-parts
/etc/cron.daily was run.

I suspect that prelink decided to prelink this file and converted the
symlink into a file as a result.  Is that possible?  If so, it's
obviously a bug.
Comment 1 Ben Levenson 2004-02-27 11:57:33 EST
looks like a dup of bug 113261.

*** This bug has been marked as a duplicate of 113261 ***
Comment 2 Jonathan Kamens 2004-03-10 09:08:20 EST
I don't know why this ticket was marked as a duplicate of the SELinux 
message issue.  It has nothing to do with that.  It has to do with 
the fact that prelink is replacing symlinks with regular files, which 
it shouldn't do.
Comment 3 Ben Levenson 2004-07-08 19:00:49 EDT
can't reproduce with prelink-0.3.2-3.
CLOSING -> RAWHIDE
reopen if problem still exists.

Note You need to log in before you can comment on or make changes to this bug.